%global srcname remoto

Name:           python-%{srcname}
Version:        1.1.4
Release:        1
Summary:        Execute remote commands or processes

License:        MIT
URL:            https://github.com/alfredodeza/remoto

Source0:        %pypi_source

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-execnet >= 1.2.0
BuildRequires:  python3-mock
BuildRequires:  python3-setuptools

%global _description\
Execute remote commands or processes.

%description %_description

%package -n python3-%{srcname}
Summary:        Execute remote commands or processes
Requires:       python3
Requires:       python3-execnet >= 1.2.0

%description -n python3-%{srcname} %_description

%prep
%autosetup -n %{srcname}-%{version}

%build
%{py3_build}

%install
%{py3_install}

%check
py.test-%{python3_version} -v remoto/tests

%files -n python3-%{srcname}
%{python3_sitelib}/*
%license LICENSE
%doc README.rst


%changelog
* Thu Jun 24 2021 liufeng <liufeng@kylinos.cn> - 1.1.4-1
- Package Init

